#
# spec file for package spec-cleaner
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Vincent Untz <vuntz@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# This is used for Fedora, we need to sync this
%{!?py3_ver: %define py3_ver %{python3_version}}
Name:           spec-cleaner
Version:        0.9.6
Release:        0
Summary:        .spec file cleaner
License:        BSD-3-Clause
Group:          Development/Tools/Other
Url:            http://github.com/openSUSE/spec-cleaner
Source0:        https://github.com/openSUSE/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        debian.changelog
Source2:        debian.compat
Source3:        debian.control
Source4:        debian.rules
Source5:        %{name}.dsc
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
# For the pkg_resources used in the binary loader
Requires:       python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This script cleans spec file according to some arbitrary style guide. The
results it produces should always be checked by someone since it is not and
will never be perfect.

%package format_spec_file
Summary:        Binding replacing OBS service format_spec_file
Group:          Development/Tools/Other
Requires:       %{name} = %{version}
Conflicts:      obs-service-format_spec_file

%description format_spec_file
Alternative provider of format_spec_file functionality in order to allow
user to use spec-cleaner rather than to stick to perl based format_spec_file.

%prep
%setup -q -n %{name}-%{name}-%{version}

# set libexec properly so it works on Fedora too
sed -i \
    -e 's:%{_prefix}/lib/obs/:%{_libexecdir}/obs/:g' \
    setup.py

%build
python3 setup.py build

%check
python3 setup.py test

%install
python3 setup.py install --root=%{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%dir %{_libexecdir}/obs/
%dir %{_libexecdir}/obs/service/
%{_libexecdir}/obs/service/clean_spec_file
%{_libexecdir}/obs/service/clean_spec_file.service
%dir %{python3_sitelib}/spec_cleaner/
%{python3_sitelib}/spec_cleaner/__init__.py
%{python3_sitelib}/spec_cleaner/__main__.py
%{python3_sitelib}/spec_cleaner/dependency_parser.py
%{python3_sitelib}/spec_cleaner/fileutils.py
%{python3_sitelib}/spec_cleaner/rpmbuild.py
%{python3_sitelib}/spec_cleaner/rpmcheck.py
%{python3_sitelib}/spec_cleaner/rpmcleaner.py
%{python3_sitelib}/spec_cleaner/rpmcopyright.py
%{python3_sitelib}/spec_cleaner/rpmdescription.py
%{python3_sitelib}/spec_cleaner/rpmexception.py
%{python3_sitelib}/spec_cleaner/rpmfiles.py
%{python3_sitelib}/spec_cleaner/rpmhelpers.py
%{python3_sitelib}/spec_cleaner/rpminstall.py
%{python3_sitelib}/spec_cleaner/rpmpreamble.py
%{python3_sitelib}/spec_cleaner/rpmpreambleelements.py
%{python3_sitelib}/spec_cleaner/rpmprep.py
%{python3_sitelib}/spec_cleaner/rpmprune.py
%{python3_sitelib}/spec_cleaner/rpmregexp.py
%{python3_sitelib}/spec_cleaner/rpmrequirestoken.py
%{python3_sitelib}/spec_cleaner/rpmpackage.py
%{python3_sitelib}/spec_cleaner/rpmscriplets.py
%{python3_sitelib}/spec_cleaner/rpmsection.py
%{python3_sitelib}/spec_cleaner/__pycache__
%{python3_sitelib}/spec_cleaner-%{version}-py%{py3_ver}.egg-info
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/excludes-bracketing.txt
%{_datadir}/%{name}/licenses_changes.txt
%{_datadir}/%{name}/pkgconfig_conversions.txt
%{_datadir}/%{name}/allowed_groups.txt
%{_datadir}/%{name}/licences_exceptions.txt
%{_datadir}/%{name}/cmake_conversions.txt
%{_datadir}/%{name}/perl_conversions.txt
%{_datadir}/%{name}/tex_conversions.txt

%files format_spec_file
%defattr(-,root,root)
%{_libexecdir}/obs/service/format_spec_file
%{_libexecdir}/obs/service/format_spec_file.service

%changelog
